## doxygen 1.8.4

=== doc/Makefile ===
#
# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.8.4
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
#
# 
#
# Copyright (C) 1997-2013 by Dimitri van Heesch.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
#
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.

all: language FORCE
	DOXYGEN_DOCDIR=$(DOXYDOCS); \
	export DOXYGEN_DOCDIR; \
        VERSION=$(VERSION) ; \
	export VERSION; \
	$(DOXYGEN)/bin/doxygen
	@rm -f ../latex/refman.tex
	@cp doxygen_logo*.gif ../html
	@cp Makefile.latex ../latex/Makefile
	@sed -e "s/\$$VERSION/$(VERSION)/g" doxygen_manual.tex >../latex/doxygen_manual.tex
	@sed -e "s/\$$VERSION/$(VERSION)/g" doxygen.sty >../latex/doxygen.sty 
	@epstopdf doxygen_logo.eps --outfile=../latex/doxygen_logo.pdf

clean: 
	rm -rf ../html ../latex *.bak 

language: language.doc 

language.doc: $(wildcard ../src/translator*.h) maintainers.txt language.tpl translator.py
	python translator.py

FORCE:

=== examples/Makefile ===
#
# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.8.4
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++

all: class/html/index.html \
     define/html/index.html \
     enum/html/index.html \
     file/html/index.html \
     func/html/index.html \
     page/html/index.html \
     relates/html/index.html \
     author/html/index.html \
     par/html/index.html \
     overload/html/index.html \
     example/html/index.html \
     include/html/index.html \
     qtstyle/html/index.html \
     jdstyle/html/index.html \
     structcmd/html/index.html \
     autolink/html/index.html \
     restypedef/html/index.html \
     afterdoc/html/index.html \
     template/html/index.html \
     tag/html/index.html \
     group/html/index.html \
     diagrams/html/index.html \
     memgrp/html/index.html \
     docstring/html/index.html \
     pyexample/html/index.html \
     tclexample/html/index.html \
     mux/html/index.html \
     manual/html/index.html 

# Disabled since it is broken :-(
#     dbusxml/html/index.html

clean:
	rm -rf  class define enum file func page relates author \
                par overload example include qtstyle jdstyle structcmd \
		autolink tag restypedef afterdoc template tag group diagrams \
		memgrp docstring pyexample mux manual dbusxml tclexample

class/html/index.html: class.h class.cfg
	"$(DOXYGEN)/bin/doxygen" class.cfg

define/html/index.html: define.h define.cfg
	"$(DOXYGEN)/bin/doxygen" define.cfg

enum/html/index.html: enum.h enum.cfg
	"$(DOXYGEN)/bin/doxygen" enum.cfg

file/html/index.html: file.h file.cfg
	"$(DOXYGEN)/bin/doxygen" file.cfg

func/html/index.html: func.h func.cfg
	"$(DOXYGEN)/bin/doxygen" func.cfg

page/html/index.html: page.doc page.cfg
	"$(DOXYGEN)/bin/doxygen" page.cfg

relates/html/index.html: relates.cpp relates.cfg
	"$(DOXYGEN)/bin/doxygen" relates.cfg

author/html/index.html: author.cpp author.cfg
	"$(DOXYGEN)/bin/doxygen" author.cfg

par/html/index.html: par.cpp par.cfg
	"$(DOXYGEN)/bin/doxygen" par.cfg

overload/html/index.html: overload.cpp overload.cfg
	"$(DOXYGEN)/bin/doxygen" overload.cfg

example/html/index.html: example.cpp example_test.cpp example.cfg 
	"$(DOXYGEN)/bin/doxygen" example.cfg

include/html/index.html: include.cpp example_test.cpp include.cfg 
	"$(DOXYGEN)/bin/doxygen" include.cfg

qtstyle/html/index.html: qtstyle.cpp qtstyle.cfg 
	"$(DOXYGEN)/bin/doxygen" qtstyle.cfg

jdstyle/html/index.html: jdstyle.cpp jdstyle.cfg 
	"$(DOXYGEN)/bin/doxygen" jdstyle.cfg

structcmd/html/index.html: structcmd.h structcmd.cfg 
	"$(DOXYGEN)/bin/doxygen" structcmd.cfg

autolink/html/index.html: autolink.cpp autolink.cfg 
	"$(DOXYGEN)/bin/doxygen" autolink.cfg

tag/html/index.html: tag.cpp tag.cfg example/html/index.html
	"$(DOXYGEN)/bin/doxygen" tag.cfg

restypedef/html/index.html: restypedef.cpp restypedef.cfg 
	"$(DOXYGEN)/bin/doxygen" restypedef.cfg

afterdoc/html/index.html: afterdoc.h afterdoc.cfg
	"$(DOXYGEN)/bin/doxygen" afterdoc.cfg

template/html/index.html: templ.cpp templ.cfg
	"$(DOXYGEN)/bin/doxygen" templ.cfg

group/html/index.html: group.cpp group.cfg
	"$(DOXYGEN)/bin/doxygen" group.cfg

memgrp/html/index.html: memgrp.cpp memgrp.cfg
	"$(DOXYGEN)/bin/doxygen" memgrp.cfg

pyexample/html/index.html: pyexample.py pyexample.cfg
	"$(DOXYGEN)/bin/doxygen" pyexample.cfg

tclexample/html/index.html: tclexample.tcl tclexample.cfg
	"$(DOXYGEN)/bin/doxygen" tclexample.cfg

mux/html/index.html: mux.vhdl mux.cfg
	"$(DOXYGEN)/bin/doxygen" mux.cfg

manual/html/index.html: manual.c manual.cfg
	"$(DOXYGEN)/bin/doxygen" manual.cfg

docstring/html/index.html: docstring.py docstring.cfg
	"$(DOXYGEN)/bin/doxygen" docstring.cfg

#dbusxml/html/index.html: dbusxml.xml dbusxml.cfg
#	$(DOXYGEN)/bin/doxygen dbusxml.cfg

diagrams/html/index.html: diagrams_a.h diagrams_b.h diagrams_c.h diagrams_d.h diagrams_e.h diagrams.cfg
ifneq ($(HAVE_DOT),)
	"$(DOXYGEN)/bin/doxygen" diagrams.cfg
endif

=== jquery/Makefile ===
JQUERY_VERSION = 1.7.1
JQUERY_UI_VERSION = 1.8.18
HASHCHANGE_VERSION = 1.3
SCROLL_VERSION = 1.4.2
MINIFIER = /usr/local/bin/yuicompressor-2.4.7
SCRIPTS = jquery-$(JQUERY_VERSION).js \
          jquery.ui-$(JQUERY_UI_VERSION).core.js \
          jquery.ui-$(JQUERY_UI_VERSION).widget.js \
          jquery.ui-$(JQUERY_UI_VERSION).mouse.js \
          jquery.ui-$(JQUERY_UI_VERSION).resizable.js \
          jquery.ba-$(HASHCHANGE_VERSION)-hashchange.js \
          jquery.scrollTo-$(SCROLL_VERSION).js
RESULTS = jquery_p1.js jquery_p2.js jquery_p3.js jquery_ui.js jquery_fx.js

SCRIPTS_MIN = $(SCRIPTS:%.js=%-min.js)

all: $(RESULTS)

install: $(RESULTS)
	cp $(RESULTS) ../src/

jquery_ui.js: scripts
	cat jquery.ui-$(JQUERY_UI_VERSION).core-min.js \
            jquery.ui-$(JQUERY_UI_VERSION).widget-min.js \
            jquery.ui-$(JQUERY_UI_VERSION).mouse-min.js \
            jquery.ui-$(JQUERY_UI_VERSION).resizable-min.js \
            jquery.ba-$(HASHCHANGE_VERSION)-hashchange-min.js > jquery_ui.js

jquery_fx.js: scripts
	cat jquery.scrollTo-$(SCROLL_VERSION)-min.js > jquery_fx.js

jquery_p1.js jquery_p2.js jquery_p3.js: scripts
	perl split_jquery.pl jquery-$(JQUERY_VERSION)-min.js $@

scripts: $(SCRIPTS_MIN)

clean:
	rm -f $(SCRIPTS_MIN) $(RESULTS)

%-min.js: %.js
	java -jar $(MINIFIER).jar --line-break 13000 $^ > $@

=== libmd5/Makefile ===
#
# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.8.4
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
all: Makefile.libmd5 
	$(MAKE) -f Makefile.libmd5

clean: Makefile.libmd5 
	$(MAKE) -f Makefile.libmd5 clean

distclean: clean
	$(RM) -f Makefile.libmd5 libmd5.pro Makefile 

tmake:
	$(ENV) $(PERL) "$(TMAKE)" libmd5.pro >Makefile.libmd5

Makefile.libmd5: libmd5.pro
	$(ENV) $(PERL) "$(TMAKE)" libmd5.pro >Makefile.libmd5

install:

=== qtools/Makefile ===
#
# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.8.4
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
#
# 
#
# Copyright (C) 1997-2000 by Dimitri van Heesch.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
# 
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.
# 

all: Makefile.qtools Makefile
	$(MAKE) -f Makefile.qtools    $@

Makefile.qtools: qtools.pro 
	$(ENV) $(PERL) "$(TMAKE)" qtools.pro >Makefile.qtools

tmake: 
	$(ENV) $(PERL) "$(TMAKE)" qtools.pro >Makefile.qtools

clean: Makefile.qtools 
	$(MAKE) -f Makefile.qtools    clean 

distclean: clean

FORCE:

=== src/Makefile ===
#
# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.8.4
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++

#
# $Id: Makefile.in,v 1.4 2001/03/19 19:27:39 root Exp $
#
# Copyright (C) 1997-2013 by Dimitri van Heesch.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
# 
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.
# 

all: Makefile.libdoxygen Makefile.libdoxycfg Makefile.doxygen Makefile
	$(MAKE) -f Makefile.libdoxycfg PERL=$(PERL) $@
	$(MAKE) -f Makefile.libdoxygen PERL=$(PERL) $@
	$(MAKE) -f Makefile.doxygen    PERL=$(PERL) $@

Makefile.libdoxygen: libdoxygen.pro libdoxygen.t 
	$(ENV) $(PERL) "$(TMAKE)" libdoxygen.pro >Makefile.libdoxygen

Makefile.libdoxycfg: libdoxycfg.pro libdoxycfg.t 
	$(ENV) $(PERL) "$(TMAKE)" libdoxycfg.pro >Makefile.libdoxycfg

Makefile.doxygen: doxygen.pro 
	$(ENV) $(PERL) "$(TMAKE)" doxygen.pro >Makefile.doxygen

tmake: 
	$(ENV) $(PERL) "$(TMAKE)" libdoxygen.pro >Makefile.libdoxygen
	$(ENV) $(PERL) "$(TMAKE)" libdoxycfg.pro >Makefile.libdoxycfg
	$(ENV) $(PERL) "$(TMAKE)" doxygen.pro >Makefile.doxygen

# clean objects
clean: Makefile.libdoxygen Makefile.libdoxycfg Makefile.doxygen 
	$(MAKE) -f Makefile.libdoxygen clean 
	$(MAKE) -f Makefile.libdoxycfg clean 
	$(MAKE) -f Makefile.doxygen    clean 

# also clean flex/bison generated files
distclean: clean
	-$(RM) scanner.cpp code.cpp config.cpp pre.cpp ce_lex.cpp \
               ce_parse.cpp ce_parse.h tag.cpp commentscan.cpp \
	       declinfo.cpp defargs.cpp commentcnv.cpp doctokenizer.cpp \
	       pycode.cpp pyscanner.cpp fortrancode.cpp fortranscanner.cpp \
	       vhdlscanner.cpp vhdlcode.cpp tclscanner.cpp vhdlparser.h \
	       vhdlparser.cpp \

# clean also the generated files which are in SVN
realclean: distclean
	-$(RM) index_xsd.h compound_xsd.h layout_default.h \
	       header_html.h footer_html.h search_functions_php.h search_opensearch_php.h \
	       search_js.h search_css.h doxygen_css.h navtree_js.h navindex_js.h resize_js.h \
	       jquery_fx_js.h jquery_p1_js.h jquery_p2_js.h \
	       jquery_p3_js.h jquery_ui_js.h navtree_css.h svgpan_js.h dynsections_js.h \
	       doxygen_bst.h bib2xhtml.h configoptions.cpp

FORCE:

=== addon/doxywizard/Makefile ===
#
# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.8.4
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
#
# 
#
# Copyright (C) 1997-2013 by Dimitri van Heesch.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
# 

QMAKE=qmake $(MKSPECS)

all: Makefile.doxywizard  
	$(MAKE) -f Makefile.doxywizard 

Makefile.doxywizard: doxywizard.pro
	$(QMAKE) doxywizard.pro -o Makefile.doxywizard

qmake: 
	$(QMAKE) doxywizard.pro -o Makefile.doxywizard

clean: Makefile.doxywizard 
	$(MAKE) -f Makefile.doxywizard clean 

distclean: Makefile.doxywizard
	$(MAKE) -f Makefile.doxywizard distclean 
	$(RM) Makefile.doxywizard

install:
	$(INSTTOOL) -d $(INSTALL)/bin	
	$(INSTTOOL) -m 755 ../../bin/doxywizard $(INSTALL)/bin	
	$(INSTTOOL) -d $(INSTALL)/$(MAN1DIR)
	cat ../../doc/doxywizard.1 | sed -e "s/DATE/$(DATE)/g" -e "s/VERSION/$(VERSION)/g" > doxywizard.1
	$(INSTTOOL) -m 644 doxywizard.1 $(INSTALL)/$(MAN1DIR)/doxywizard.1
	rm doxywizard.1

FORCE:

=== addon/doxmlparser/src/Makefile ===
#
# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.8.4
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
all clean depend: Makefile.doxmlparser 
	$(MAKE) -f Makefile.doxmlparser $@

distclean: clean
	$(RM) -rf Makefile.doxmlparser doxmlparser.pro Makefile obj

tmake:
	$(ENV) $(PERL) $(TMAKE) doxmlparser.pro >Makefile.doxmlparser

Makefile.doxmlparser: doxmlparser.pro
	$(ENV) $(PERL) $(TMAKE) doxmlparser.pro >Makefile.doxmlparser

install:

=== addon/doxmlparser/test/Makefile ===
#
# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.8.4
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
all clean depend: Makefile.xmlparse 
	$(MAKE) -f Makefile.xmlparse $@

distclean: clean
	$(RM) -rf Makefile.xmlparse xmlparse.pro Makefile obj

tmake:
	$(ENV) $(PERL) $(TMAKE) xmlparse.pro >Makefile.xmlparse

Makefile.xmlparse: xmlparse.pro
	$(ENV) $(PERL) $(TMAKE) xmlparse.pro >Makefile.xmlparse

install:

=== addon/doxmlparser/examples/metrics/Makefile ===
#
# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.8.4
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
all clean depend: Makefile.metrics 
	$(MAKE) -f Makefile.metrics $@

distclean: clean
	$(RM) -rf Makefile.metrics metrics.pro Makefile obj

tmake:
	$(ENV) $(PERL) $(TMAKE) metrics.pro >Makefile.metrics

Makefile.metrics: metrics.pro
	$(ENV) $(PERL) $(TMAKE) metrics.pro >Makefile.metrics

install:

=== debian/changelog ===
doxygen (1.8.4-1) unstable; urgency=low

  * doxygen 1.8.4 release
    + Upstream now ships jquery sources. (Closes: #625956)
    + Add libsqlite3-dev to Build-Depends.
    + Refresh patches. All hunks succeeded.
    + Upstream changelog included in source package for #569504.
  * Acknowledge upload version 1.8.1.2-2.
    + Added myself as uploader.
  * Enable doxygen-gui on hurd. (Closes: #700631)
  * Clean before build, to ensure that no prebuilt files are used.
  * Use packaged tmake.
    + Add tmake Build-Depends, patch configure to use packaged tmake.
    + Add a tmake wrapper that forces our CFLAGS into tmake. This fixes
      the tmake part of #596636.
  * Add a qmake wrapper that forces our... you know the story. (Closes:
    #596636)
  * Bump standards version to 3.9.4: No changes needed.
  * Add an initial dh_doxygen helper that cleans generated documentation for
    inclusion in binary packages. This is a small aspect of #630982.
  * Added Homepage to control.
  * Removed duplicate dependency latex-xcolor from doxygen-latex.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 21 May 2013 16:04:41 +0200

=== debian/control ===
Source: doxygen
Section: devel
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Helmut Grohne <helmut@subdivi.de>
Build-Depends: debhelper (>= 5), libqt4-dev, flex, bison (>= 1.875a), python, libsqlite3-dev, tmake
Build-Depends-Indep: texlive-fonts-recommended, texlive-generic-recommended, texlive-latex-extra, texlive-latex-recommended, texlive-extra-utils, texlive-font-utils, ghostscript, graphviz, latex-xcolor
Standards-Version: 3.9.4
Homepage: http://www.stack.nl/~dimitri/doxygen/

Package: doxygen
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: doxygen-latex
Suggests: doxygen-doc, doxygen-gui, graphviz
Conflicts: graphviz (<< 1.12)
Description: Documentation system for C, C++, Java, Python and other languages
 Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
 and to some extent PHP, C#, and D.  It can generate an on-line class browser
 (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
 documented source files. There is also support for generating man pages
 and for converting the generated output into Postscript, hyperlinked PDF
 or compressed HTML.  The documentation is extracted directly from the sources.
 .
 Install the doxygen-latex package to build LaTeX based documents.

Package: doxygen-latex
Architecture: all
Multi-Arch: foreign
Depends: doxygen (>= ${source:Version}), ${misc:Depends}, texlive-extra-utils, texlive-latex-extra, latex-xcolor, texlive-font-utils, ghostscript, texlive-fonts-recommended
Description: Documentation system for C, C++, Java, Python and other languages
 Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
 and to some extent PHP, C#, and D.  It can generate an on-line class browser
 (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
 documented source files.
 .
 This dependency package adds dependencies for all LaTeX packages required
 to build documents using the default stylesheet.

Package: doxygen-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: doxygen
Section: doc
Provides: doxygen-docs
Replaces: doxygen (<< 1.2.14), doxygen-docs
Conflicts: doxygen-docs
Description: Documentation for doxygen
 Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
 and to some extent PHP, C#, and D.  It can generate an on-line class browser
 (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
 documented source files. There is also support for generating man pages
 and for converting the generated output into Postscript, hyperlinked PDF
 or compressed HTML.  The documentation is extracted directly from the sources. 
 .
 This package contains the documentation for doxygen.

Package: doxygen-gui
Architecture: any
Depends: doxygen, ${shlibs:Depends}, ${misc:Depends}
Suggests: doxygen-doc
Replaces: doxygen (<< 1.2.14)
Description: GUI configuration tool for doxygen
 Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
 and to some extent PHP, C#, and D.  It can generate an on-line class browser
 (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
 documented source files. There is also support for generating man pages
 and for converting the generated output into Postscript, hyperlinked PDF
 or compressed HTML.  The documentation is extracted directly from the sources. 
 .
 This package contains doxywizard, a GUI configuration tool for doxygen.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_OPTIONS=
export QTDIR=/usr/share/qt4/QtGui

CFLAGS := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CXXFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
export CFLAGS
export CXXFLAGS
export LDFLAGS
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
with_doxywizard := yes

ifeq ($(with_doxywizard),yes)
  CONFIGUREFLAGS+=--with-doxywizard
endif
CONFIGUREFLAGS+=--dot /usr/bin/dot
CONFIGUREFLAGS+=--install /usr/bin/install

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure $(CONFIGUREFLAGS)
	# get rid of prebuilt files from orig.tar.gz
	$(MAKE) distclean
	./configure $(CONFIGUREFLAGS)
	sed -i 's/^TMAKE_MOC *=.*/TMAKE_MOC = moc/' addon/doxywizard/doxywizard.pro
	touch $@

build: build-stamp
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) QMAKE=$(shell pwd)/debian/qmake
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp install*stamp
	rm -rf qt tmake
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f qtools/Makefile.qtools
	dh_clean

uninstall:
	dh_testdir
	dh_testroot
	rm -f install*stamp
	dh_clean -k

install-indep: install-arch
install-indep: install-indep-stamp
install-indep-stamp: DH_OPTIONS=-i
install-indep-stamp: INSDIR=$(shell pwd)/debian/doxygen/usr
install-indep-stamp: DOCDIR=$(shell pwd)/debian/doxygen-doc/usr/share/doc/doxygen
install-indep-stamp:
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install_docs \
		INSTALL=$(INSDIR) DOCDIR=$(DOCDIR) MAN1DIR=share/man/man1
	-find debian -name .cvsignore -o -name CVS | xargs rm -rf
	touch $@

install-arch: build
install-arch: install-arch-stamp
install-arch-stamp: DH_OPTIONS=-a
install-arch-stamp: INSDIR=$(shell pwd)/debian/doxygen/usr
install-arch-stamp: DOCDIR=$(shell pwd)/debian/doxygen/usr/share/doc/doxygen
install-arch-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install \
		INSTALL=$(INSDIR) DOCDIR=$(DOCDIR) MAN1DIR=share/man/man1
	cd debian/dh-doxygen && pod2man -c Debhelper -r '' dh_doxygen dh_doxygen.1
ifeq ($(with_doxywizard),yes)
	dh_movefiles -Ndoxygen --sourcedir=debian/doxygen \
		usr/bin/doxywizard \
		usr/share/man/man1/doxywizard.1
endif
	-find debian -name .cvsignore -o -name CVS | xargs rm -rf
	touch $@

install: install-indep install-arch

binary-indep: DH_OPTIONS=-i
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installdocs
	./debian/dh-doxygen/dh_doxygen
	dh_installchangelogs 
	dh_strip
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

ifeq ($(with_doxywizard),yes)
binary-arch: DH_OPTIONS=-a
else
binary-arch: DH_OPTIONS=-a -Ndoxygen-gui
endif
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs LANGUAGE.HOWTO PLATFORMS README VERSION
	dh_installman
	dh_installchangelogs 
	dh_strip
	dh_link
	dh_installmenu
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: configure build clean uninstall
.PHONY: install-arch install-indep install
.PHONY: binary-arch binary-indep binary

## doxygen 1.8.5

=== debian/changelog ===
doxygen (1.8.5-1) unstable; urgency=low

  * doxygen 1.8.5 release.
    + Refresh patches. dot-config.diff had a failed hunk.
    + README got renamed to README.md.
  * Add debug package doxygen-dbg.
  * Demote recommends doxygen-latex from doxygen to suggests. (Closes:
    #720493)
  * LDFLAGS are called QMAKE_LFLAGS_RELEASE (not ...LDFLAGS...),
    this should fix the build log checks and hardening.
  * Install upstream changelog. (Closes: #569504)
  * Shrink doxygen-doc binary package using hardlinks (rdfind).
    + Add lintian-override for package-contains-hardlink
  * Rewrite debian/copyright in DEP5 syntax.
  * Bump standards version to 3.9.5: No changes needed.
  * Explain that jquery embedding is going to stay in README.jquery.
    (Closes: #630982)
  * Add an autopkgtest building the documentation of osmium.
    It managed to crash Doxygen earlier, see #657917.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 10 Nov 2013 17:32:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -94,9 +94,11 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs
+	dh_lintian
 	./debian/dh-doxygen/dh_doxygen
-	dh_installchangelogs 
-	dh_strip
+	rdfind -outputname /dev/null -makehardlinks true debian/doxygen-doc/usr/share/doc/doxygen
+	dh_installchangelogs doc/changelog.doc
+	dh_strip --dbg-package=doxygen-dbg
 	dh_link
 	dh_compress -X.pdf
 	dh_fixperms
@@ -115,10 +117,10 @@
 	dh_testdir
 	dh_testroot
 	dh_install
-	dh_installdocs LANGUAGE.HOWTO PLATFORMS README VERSION
+	dh_installdocs LANGUAGE.HOWTO PLATFORMS README.md VERSION
 	dh_installman
-	dh_installchangelogs 
-	dh_strip
+	dh_installchangelogs doc/changelog.doc
+	dh_strip --dbg-package=doxygen-dbg
 	dh_link
 	dh_installmenu
 	dh_compress

=== debian/tests/control ===
Tests: run
Depends: doxygen, graphviz

## doxygen 1.8.6

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
+# This file was generated from Makefile.in on Tue Dec 24 17:14:39 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -7,10 +7,11 @@
 ENV       = env TMAKEPATH="$(TMAKEPATH)"
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
-PERL      = /opt/local/bin/perl
+PYTHON    = /opt/local/bin/python
+LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.4
+VERSION   = 1.8.6
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -32,7 +33,7 @@
 # Documents produced by Doxygen are derivative works derived from the
 # input used in their production; they are not affected by this license.
 
-all: language FORCE
+all: language config.doc FORCE
 	DOXYGEN_DOCDIR=$(DOXYDOCS); \
 	export DOXYGEN_DOCDIR; \
         VERSION=$(VERSION) ; \
@@ -51,6 +52,9 @@
 language: language.doc 
 
 language.doc: $(wildcard ../src/translator*.h) maintainers.txt language.tpl translator.py
-	python translator.py
+	$(PYTHON) translator.py
+
+config.doc:  ../src/config.xml ../src/configgen.py
+	$(PYTHON) ../src/configgen.py -doc ../src/config.xml > config.doc
 
 FORCE:

=== examples/Makefile ===
#
# This file was generated from Makefile.in on Tue Dec 24 17:14:39 CET 2013
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PYTHON    = /opt/local/bin/python
LEX       = /usr/bin/flex
RM        = rm -f
CP        = cp
VERSION   = 1.8.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
DOXYGEN_BIN="$(DOXYGEN)/bin/doxygen"

all: class/html/index.html \
     define/html/index.html \
     enum/html/index.html \
     file/html/index.html \
     func/html/index.html \
     page/html/index.html \
     relates/html/index.html \
     author/html/index.html \
     par/html/index.html \
     overload/html/index.html \
     example/html/index.html \
     include/html/index.html \
     qtstyle/html/index.html \
     jdstyle/html/index.html \
     structcmd/html/index.html \
     autolink/html/index.html \
     restypedef/html/index.html \
     afterdoc/html/index.html \
     template/html/index.html \
     tag/html/index.html \
     group/html/index.html \
     diagrams/html/index.html \
     memgrp/html/index.html \
     docstring/html/index.html \
     pyexample/html/index.html \
     tclexample/html/index.html \
     mux/html/index.html \
     manual/html/index.html

# Disabled since it is broken :-(
#     dbusxml/html/index.html

clean:
	rm -rf  class define enum file func page relates author \
                par overload example include qtstyle jdstyle structcmd \
		autolink tag restypedef afterdoc template tag group diagrams \
		memgrp docstring pyexample mux manual dbusxml tclexample

class/html/index.html: class.h class.cfg
	$(DOXYGEN_BIN) class.cfg

define/html/index.html: define.h define.cfg
	$(DOXYGEN_BIN) define.cfg

enum/html/index.html: enum.h enum.cfg
	$(DOXYGEN_BIN) enum.cfg

file/html/index.html: file.h file.cfg
	$(DOXYGEN_BIN) file.cfg

func/html/index.html: func.h func.cfg
	$(DOXYGEN_BIN) func.cfg

page/html/index.html: page.doc page.cfg
	$(DOXYGEN_BIN) page.cfg

relates/html/index.html: relates.cpp relates.cfg
	$(DOXYGEN_BIN) relates.cfg

author/html/index.html: author.cpp author.cfg
	$(DOXYGEN_BIN) author.cfg

par/html/index.html: par.cpp par.cfg
	$(DOXYGEN_BIN) par.cfg

overload/html/index.html: overload.cpp overload.cfg
	$(DOXYGEN_BIN) overload.cfg

example/html/index.html: example.cpp example_test.cpp example.cfg
	$(DOXYGEN_BIN) example.cfg

include/html/index.html: include.cpp example_test.cpp include.cfg
	$(DOXYGEN_BIN) include.cfg

qtstyle/html/index.html: qtstyle.cpp qtstyle.cfg
	$(DOXYGEN_BIN) qtstyle.cfg

jdstyle/html/index.html: jdstyle.cpp jdstyle.cfg
	$(DOXYGEN_BIN) jdstyle.cfg

structcmd/html/index.html: structcmd.h structcmd.cfg
	$(DOXYGEN_BIN) structcmd.cfg

autolink/html/index.html: autolink.cpp autolink.cfg
	$(DOXYGEN_BIN) autolink.cfg

tag/html/index.html: tag.cpp tag.cfg example/html/index.html
	$(DOXYGEN_BIN) tag.cfg

restypedef/html/index.html: restypedef.cpp restypedef.cfg
	$(DOXYGEN_BIN) restypedef.cfg

afterdoc/html/index.html: afterdoc.h afterdoc.cfg
	$(DOXYGEN_BIN) afterdoc.cfg

template/html/index.html: templ.cpp templ.cfg
	$(DOXYGEN_BIN) templ.cfg

group/html/index.html: group.cpp group.cfg
	$(DOXYGEN_BIN) group.cfg

memgrp/html/index.html: memgrp.cpp memgrp.cfg
	$(DOXYGEN_BIN) memgrp.cfg

pyexample/html/index.html: pyexample.py pyexample.cfg
	$(DOXYGEN_BIN) pyexample.cfg

tclexample/html/index.html: tclexample.tcl tclexample.cfg
	$(DOXYGEN_BIN) tclexample.cfg

mux/html/index.html: mux.vhdl mux.cfg
	$(DOXYGEN_BIN) mux.cfg

manual/html/index.html: manual.c manual.cfg
	$(DOXYGEN_BIN) manual.cfg

docstring/html/index.html: docstring.py docstring.cfg
	$(DOXYGEN_BIN) docstring.cfg

#dbusxml/html/index.html: dbusxml.xml dbusxml.cfg
#	$(DOXYGEN_BIN) dbusxml.cfg

diagrams/html/index.html: diagrams_a.h diagrams_b.h diagrams_c.h diagrams_d.h diagrams_e.h diagrams.cfg
ifneq ($(HAVE_DOT),)
	$(DOXYGEN_BIN) diagrams.cfg
endif

=== libmd5/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
+# This file was generated from Makefile.in on Tue Dec 24 17:14:39 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -7,10 +7,11 @@
 ENV       = env TMAKEPATH="$(TMAKEPATH)"
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
-PERL      = /opt/local/bin/perl
+PYTHON    = /opt/local/bin/python
+LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.4
+VERSION   = 1.8.6
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -27,6 +28,8 @@
 distclean: clean
 	$(RM) -f Makefile.libmd5 libmd5.pro Makefile 
 
+realclean: distclean
+
 tmake:
 	$(ENV) $(PERL) "$(TMAKE)" libmd5.pro >Makefile.libmd5

=== qtools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
+# This file was generated from Makefile.in on Tue Dec 24 17:14:39 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -7,10 +7,11 @@
 ENV       = env TMAKEPATH="$(TMAKEPATH)"
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
-PERL      = /opt/local/bin/perl
+PYTHON    = /opt/local/bin/python
+LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.4
+VERSION   = 1.8.6
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -47,4 +48,6 @@
 
 distclean: clean
 
+realclean: distclean
+
 FORCE:

=== src/Makefile ===
#
# This file was generated from Makefile.in on Tue Dec 24 17:14:39 CET 2013
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PYTHON    = /opt/local/bin/python
LEX       = /usr/bin/flex
RM        = rm -f
CP        = cp
VERSION   = 1.8.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++

#
#
#
# Copyright (C) 1997-2013 by Dimitri van Heesch.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby
# granted. No representations are made about the suitability of this software
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
#
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.
#

all: Makefile.libdoxygen Makefile.libdoxycfg Makefile.doxygen Makefile
	$(MAKE) -f Makefile.libdoxycfg $@
	$(MAKE) -f Makefile.libdoxygen $@
	$(MAKE) -f Makefile.doxygen    $@

Makefile.libdoxygen: libdoxygen.pro libdoxygen.t
	$(ENV) $(PERL) "$(TMAKE)" libdoxygen.pro >Makefile.libdoxygen
	echo 'HEADERS += ' `ls -1 translator_??.h`  >>Makefile.libdoxygen

Makefile.libdoxycfg: libdoxycfg.pro libdoxycfg.t
	$(ENV) $(PERL) "$(TMAKE)" libdoxycfg.pro >Makefile.libdoxycfg

Makefile.doxygen: doxygen.pro
	$(ENV) $(PERL) "$(TMAKE)" doxygen.pro >Makefile.doxygen

tmake:
	$(ENV) $(PERL) "$(TMAKE)" libdoxygen.pro >Makefile.libdoxygen
	$(ENV) $(PERL) "$(TMAKE)" libdoxycfg.pro >Makefile.libdoxycfg
	$(ENV) $(PERL) "$(TMAKE)" doxygen.pro >Makefile.doxygen

# clean objects
clean: Makefile.libdoxygen Makefile.libdoxycfg Makefile.doxygen
	$(MAKE) -f Makefile.libdoxygen clean
	$(MAKE) -f Makefile.libdoxycfg clean
	$(MAKE) -f Makefile.doxygen    clean

# also clean flex/bison generated files
distclean: clean
	-$(RM) scanner.cpp code.cpp config.cpp pre.cpp constexp.cpp \
	       ce_parse.cpp ce_parse.h tag.cpp commentscan.cpp \
	       declinfo.cpp defargs.cpp commentcnv.cpp doctokenizer.cpp \
	       pycode.cpp pyscanner.cpp fortrancode.cpp fortranscanner.cpp \
	       vhdlscanner.cpp vhdlcode.cpp tclscanner.cpp vhdlparser.h \
	       vhdlparser.cpp

# clean also the generated files which are in SVN
realclean: distclean
	-$(RM) index.xsd.h compound.xsd.h layout_default.xml.h \
	       header.html.h footer.html.h search_functions.php.h search_opensearch.php.h \
	       search.js.h search.css.h doxygen.css.h navtree.js.h resize.js.h \
	       doxygen.sty.h jquery_fx.js.h jquery_p1.js.h jquery_p2.js.h \
	       jquery_p3.js.h jquery_ui.js.h navtree.css.h svgpan.js.h dynsections.js.h \
	       doxygen.bst.h bib2xhtml.pl.h configoptions.cpp jquery_pt.js.h extsearch.js.h

FORCE:

=== addon/doxywizard/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
+# This file was generated from Makefile.in on Tue Dec 24 17:14:39 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -7,10 +7,11 @@
 ENV       = env TMAKEPATH="$(TMAKEPATH)"
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
-PERL      = /opt/local/bin/perl
+PYTHON    = /opt/local/bin/python
+LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.4
+VERSION   = 1.8.6
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -30,10 +31,11 @@
 # See the GNU General Public License for more details.
 # 
 
-QMAKE=qmake $(MKSPECS)
+QMAKE=$(QTDIR)/bin/qmake $(MKSPECS)
+INCBUFSIZE=$(PYTHON) ../../src/increasebuffer.py
 
 all: Makefile.doxywizard  
-	$(MAKE) -f Makefile.doxywizard 
+	$(MAKE) -f Makefile.doxywizard LEX=$(LEX) PYTHON=$(PYTHON) INCBUFSIZE="$(INCBUFSIZE)"
 
 Makefile.doxywizard: doxywizard.pro
 	$(QMAKE) doxywizard.pro -o Makefile.doxywizard
@@ -48,6 +50,11 @@
 	$(MAKE) -f Makefile.doxywizard distclean 
 	$(RM) Makefile.doxywizard
 
+realclean: Makefile.doxywizard
+	$(RM) configdoc.cpp
+	$(RM) config_doxyw.cpp
+	$(MAKE) distclean
+	
 install:
 	$(INSTTOOL) -d $(INSTALL)/bin	
 	$(INSTTOOL) -m 755 ../../bin/doxywizard $(INSTALL)/bin

=== addon/doxmlparser/src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
+# This file was generated from Makefile.in on Tue Dec 24 17:14:39 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -7,10 +7,11 @@
 ENV       = env TMAKEPATH="$(TMAKEPATH)"
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
-PERL      = /opt/local/bin/perl
+PYTHON    = /opt/local/bin/python
+LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.4
+VERSION   = 1.8.6
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -24,6 +25,8 @@
 distclean: clean
 	$(RM) -rf Makefile.doxmlparser doxmlparser.pro Makefile obj
 
+realclean: distclean
+
 tmake:
 	$(ENV) $(PERL) $(TMAKE) doxmlparser.pro >Makefile.doxmlparser

=== addon/doxmlparser/test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
+# This file was generated from Makefile.in on Tue Dec 24 17:14:39 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -7,10 +7,11 @@
 ENV       = env TMAKEPATH="$(TMAKEPATH)"
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
-PERL      = /opt/local/bin/perl
+PYTHON    = /opt/local/bin/python
+LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.4
+VERSION   = 1.8.6
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -24,6 +25,8 @@
 distclean: clean
 	$(RM) -rf Makefile.xmlparse xmlparse.pro Makefile obj
 
+realclean: distclean
+
 tmake:
 	$(ENV) $(PERL) $(TMAKE) xmlparse.pro >Makefile.xmlparse

=== addon/doxmlparser/examples/metrics/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun May 19 12:05:35 CEST 2013
+# This file was generated from Makefile.in on Tue Dec 24 17:14:39 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -7,10 +7,11 @@
 ENV       = env TMAKEPATH="$(TMAKEPATH)"
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
-PERL      = /opt/local/bin/perl
+PYTHON    = /opt/local/bin/python
+LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.4
+VERSION   = 1.8.6
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -24,6 +25,8 @@
 distclean: clean
 	$(RM) -rf Makefile.metrics metrics.pro Makefile obj
 
+realclean: distclean
+
 tmake:
 	$(ENV) $(PERL) $(TMAKE) metrics.pro >Makefile.metrics

=== debian/changelog ===
doxygen (1.8.6-2) unstable; urgency=medium

  * Fix autopkgtest.
    + Missing dependency on dpkg-dev for apt-get source.
    + apt-get source prints to stderr.

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 24 Jan 2014 19:31:58 +0100

doxygen (1.8.6-1) unstable; urgency=low

  * doxygen 1.8.6 release.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jan 2014 00:58:54 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Helmut Grohne <helmut@subdivi.de>
 Build-Depends: debhelper (>= 5), libqt4-dev, flex, bison (>= 1.875a), python, libsqlite3-dev, tmake
-Build-Depends-Indep: texlive-fonts-recommended, texlive-generic-recommended, texlive-latex-extra, texlive-latex-recommended, texlive-extra-utils, texlive-font-utils, ghostscript, graphviz, latex-xcolor
-Standards-Version: 3.9.4
+Build-Depends-Indep: texlive-fonts-recommended, texlive-generic-recommended, texlive-latex-extra, texlive-latex-recommended, texlive-extra-utils, texlive-font-utils, ghostscript, graphviz, latex-xcolor, rdfind
+Standards-Version: 3.9.5
 Homepage: http://www.stack.nl/~dimitri/doxygen/
+XS-Testsuite: autopkgtest
 
 Package: doxygen
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: doxygen-latex
-Suggests: doxygen-doc, doxygen-gui, graphviz
+Suggests: doxygen-latex, doxygen-doc, doxygen-gui, graphviz
 Conflicts: graphviz (<< 1.12)
 Description: Documentation system for C, C++, Java, Python and other languages
  Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
@@ -70,3 +70,18 @@
  or compressed HTML.  The documentation is extracted directly from the sources. 
  .
  This package contains doxywizard, a GUI configuration tool for doxygen.
+
+Package: doxygen-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: doxygen (= ${binary:Version}), ${misc:Depends}
+Description: Debug symbols for doxygen
+ Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
+ and to some extent PHP, C#, and D.  It can generate an on-line class browser
+ (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
+ documented source files. There is also support for generating man pages
+ and for converting the generated output into Postscript, hyperlinked PDF
+ or compressed HTML.  The documentation is extracted directly from the sources.
+ .
+ This package contains the debug symbols for doxygen.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 #export DH_VERBOSE=1
 export DH_OPTIONS=
-export QTDIR=/usr/share/qt4/QtGui
+export QTDIR=/usr/share/qt4
 
 CFLAGS := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
 CXXFLAGS := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CXXFLAGS)
